units {base} | R Documentation

## Graphical Units

### Description

`xinch` and `yinch` convert the specified number of inches given as their arguments into the correct units for plotting with graphics functions. Usually, this only makes sense when normal coordinates are used, i.e., no `log` scale (see the `log` argument to `par`).

`xyinch` does the same for a pair of numbers `xy`, simultaneously.

`cm` translates inches in to cm (centimeters).

### Usage

    xinch(x = 1, warn.log = TRUE)
    yinch(y = 1, warn.log = TRUE)
    xyinch(xy = 1, warn.log = TRUE)
    cm(x)

### Arguments

`x,y` | numeric vector
`xy` | numeric of length 1 or 2.
`warn.log` | logical; if `TRUE`, a warning is printed in case of active log scale.

### Examples

    all(c(xinch(),yinch()) == xyinch()) # TRUE
    xyinch()
    xyinch #- to see that is really   delta{"usr"} / "pin"

    cm(1)# = 2.54

    ## plot labels offset 0.12 inches to the right
    ## of plotted symbols in a plot
    data(mtcars)
    with(mtcars, {
        plot(mpg, disp, pch=19, main= "Motor Trend Cars")
        text(mpg + xinch(0.12), disp, row.names(mtcars),
             adj = 0, cex = .7, col = 'blue')
        })

[Package Contents]